import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/promotion/activity/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(params) {
  return request({
    url: '/promotion/activity/export',
    method: 'get',
    params
  })
}

// 新增
export function add(data) {
  return request({
    url: `/promotion/activity/add`,
    method: 'post',
    data
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/promotion/activity/detail`,
    method: 'post',
    params
  })
}

// 跟进
export function follow(data) {
  return request({
    url: `/promotion/activity/batch/follow`,
    method: 'post',
    data
  })
}

// 获取活动
export function getActiveList(data) {
  return request({
    url: `/promotion/questionnaire/list`,
    method: 'post',
    data
  })
}

//获取活动详情
export function getActiveDetail(params) {
  return request({
    url: `/promotion/questionnaire/detail`,
    method: 'post',
    params
  })
}
